Package ru.bitel.bgbilling.modules.voice.common.bean

# Class VoiceAuthError

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.voice.common.bean.VoiceAuthError

All Implemented Interfaces:
  `java.io.Serializable`, `Idable`

    public class VoiceAuthError
    extends Id

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `VoiceAuthError()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getAccountId()` |
  `java.lang.String` | `getAccountTitle()` |
  `int` | `getContractId()` |
  `java.lang.String` | `getContractTitle()` |
  `int` | `getDeviceId()` |
  `java.lang.String` | `getDeviceTitle()` |
  `int` | `getErrorCode()` |
  `java.lang.String` | `getErrorText()` |
  `java.util.Date` | `getLastErrorTime()` |
  `int` | `getLogCoordinateRecordId()` |
  `void` | `setAccountId​(int accountId)` |
  `void` | `setAccountTitle​(java.lang.String accountTitle)` |
  `void` | `setContractId​(int contractId)` |
  `void` | `setContractTitle​(java.lang.String contractTitle)` |
  `void` | `setDeviceId​(int deviceId)` |
  `void` | `setDeviceTitle​(java.lang.String deviceTitle)` |
  `void` | `setErrorCode​(int errorCode)` |
  `void` | `setErrorText​(java.lang.String errorText)` |
  `void` | `setLastErrorTime​(java.util.Date lastErrorTime)` |
  `void` | `setLogCoordinateRecordId​(int logCoordinateRecordId)` |

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### VoiceAuthError

    public VoiceAuthError()

- ## Method Details

  - ### getErrorCode

    public int getErrorCode()

  - ### setErrorCode

    public void setErrorCode​(int errorCode)

  - ### getErrorText

    public java.lang.String getErrorText()

  - ### setErrorText

    public void setErrorText​(java.lang.String errorText)

  - ### getDeviceId

    public int getDeviceId()

  - ### setDeviceId

    public void setDeviceId​(int deviceId)

  - ### getDeviceTitle

    public java.lang.String getDeviceTitle()

  - ### setDeviceTitle

    public void setDeviceTitle​(java.lang.String deviceTitle)

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId​(int contractId)

  - ### getContractTitle

    public java.lang.String getContractTitle()

  - ### setContractTitle

    public void setContractTitle​(java.lang.String contractTitle)

  - ### getLastErrorTime

    public java.util.Date getLastErrorTime()

  - ### setLastErrorTime

    public void setLastErrorTime​(java.util.Date lastErrorTime)

  - ### getLogCoordinateRecordId

    public int getLogCoordinateRecordId()

  - ### setLogCoordinateRecordId

    public void setLogCoordinateRecordId​(int logCoordinateRecordId)

  - ### getAccountId

    public int getAccountId()

  - ### setAccountId

    public void setAccountId​(int accountId)

  - ### getAccountTitle

    public java.lang.String getAccountTitle()

  - ### setAccountTitle

    public void setAccountTitle​(java.lang.String accountTitle)